'use strict';

const WIKIDOT_FILES_DOMAIN = 'http://scp-ru.wdfiles.com';

module.exports = function transform(input) {
    return input
        .replace(/\(%%%UPLOAD_DOMAIN%%%\)/g, WIKIDOT_FILES_DOMAIN)
        .replace(/([^/])(SCP(?:[-/][\d\wsА-Я]+)+)/g, '$1<span class="object-code">$2</span>')
        .replace(/\[ДАННЫЕ УДАЛЕНЫ]/g, '<span class="text-redacted">ДАННЫЕ УДАЛЕНЫ</span>')
        .replace(/(█+)/g, '<span class="text-concealed">$1</span>');
};
